#ifndef JPEG__H
#define JPEG__H

#include <stdlib.h>
#include <stdio.h>
#include <jpeglib.h>

typedef struct JpegImage{
	int width;
	int height;
	int channels;
	unsigned char* data;
} JpegImage;

typedef struct Pixel{
	unsigned char red;
	unsigned char green;
	unsigned char blue;
} Pixel;

void setPixel(JpegImage* img,Pixel p,int x,int y);
Pixel getPixel(JpegImage* img,int x,int y);
JpegImage* readJpeg(const char* filename);
void writeJpeg(const char* filename,JpegImage* image, int quality);
JpegImage* createImage(int width,int height);
void destroyImage(JpegImage* img);

#endif
