#include "JPEG.h"
#include <iostream>
#include <cmath>
using namespace std;

Pixel toGray(Pixel p){
	int total = p.red+p.green+p.blue;
	p.green = p.red = p.blue = total/3;
	return p;
}

Pixel toGreenPer(Pixel p){
	int total = p.red+p.green+p.blue;
	double v = (double)p.green/(double)total;
    p.green = (int)(v*255);
    p.red = p.blue = 0;
	return p;
}

double distance(int x,int y, int a,int b){
	double p = x-a;
	double q = y-b;
	return sqrt(p*p + q*q);
}


int main(){
	Pixel black = {0,0,0};
	JpegImage* img = readJpeg("test.jpg");	
	if(img != NULL){
		int dia = min(img->width,img->height)/3;

		for(int y = 0; y < img->height; ++y){
			for(int x = 0; x < img->width; ++x){
				Pixel p = getPixel(img,x,y);
				if(distance(x,y,img->width/2,img->height/2) > dia)
					p = black;
				setPixel(img,p,x,y);
			}
		}
	}
	writeJpeg("transformed.jpg",img,100);
	return 0;
}
